ENV['RAILS_ENV'] ||= 'test'
ENV["RAILS_ROOT"] ||= File.dirname(__FILE__) + "../../../spec/dummy"
require File.expand_path("../dummy/config/environment.rb",  __FILE__)
require 'rspec/rails'
require 'factory_girl_rails'
require 'mongoid-rspec'
require 'capybara/rspec'
Mongoid.configure do |config|
  config.connect_to "ecconnect_rails_test"
end
Mongoid.logger = Logger.new($stdout)

Capybara.ignore_hidden_elements = false
Rails.backtrace_cleaner.remove_silencers!
# Load support files
Dir["#{File.dirname(__FILE__)}/support/**/*.rb"].each { |f| require f }
RSpec.configure do |config|
  config.include Mongoid::Matchers, type: :model
  config.mock_with :rspec
  #config.use_transactional_fixtures = true
  config.infer_base_class_for_anonymous_controllers = false
  config.order = "random"

  MERCHANT_ID = 1753970
  TERMINAL_ID = "E7881970"
  CURRENCY = 980
  PEM_PATH = Rails.root.join('certs/1753970.pem')
  CERT_PATH = Rails.root.join('certs/test-server.cert')
  REQUEST_URL = "https://secure.upc.ua/ecgtest/enter"
  CHECK_URL = "https://secure.upc.ua/ecgtest/service/01"

  DEFAULT_OPTIONS = { merchant_id: MERCHANT_ID, 
                      terminal_id: TERMINAL_ID, 
                      request_url: REQUEST_URL,
                      check_url: CHECK_URL,
                      cert_path: CERT_PATH,
                      pem_path: PEM_PATH,
                      currency_id: CURRENCY }
end